@extends('layouts.blank')
@section('title','Invoice')
@section('content')
<section class="section">
        <div class="section-body">
              <div class="invoice">
                  <div class="invoice-print">
                  <div class="row">
                      <div class="col-lg-12">
                    <p class="section-lead" style="font-size: 12pt">Terimakasih telah mendaftar KONASPI XI 2024. ({{ !is_null($registrasi->tanggal_bayar) ? 'LUNAS' : 'Menunggu Pembayaran' }})</p>
                      <div class="invoice-title">
                          <h2>Invoice</h2>
                          <div class="invoice-number">No. Transaksi #{{$registrasi['kode_registrasi'] ?? 'param' }}</div>
                      </div>
                      <hr>
                      <div class="row" style="font-size: 12pt">
                          <div class="col-md-6">
                          <address>
                              <strong>Identitas:</strong><br>
                              {{$registrasi['nama'] ?? 'param' }}<br>
                              {{$registrasi['alamat'] ?? 'param' }}<br>
                              {{$registrasi['telepon'] ?? 'param' }}<br>
                          </address>
                          </div>
                          <div class="col-md-6 text-md-right">
                          <address>
                              <strong>Instansi:</strong><br>
                              {{$registrasi['instansi'] ?? 'param' }}<br>
                          </address>
                          </div>
                      </div>
                      <div class="row" style="font-size: 12pt">
                          <div class="col-md-6">
                          <address>
                              <strong>Metode Pembayaran:</strong><br>
                              Virtual Account : {{$registrasi['nomor_va'] ?? 'param' }}<br>
                              {{-- {{$registrasi['email'] ?? 'param' }} --}}
                          </address>
                          </div>
                          <div class="col-md-6 text-md-right">
                          <address>
                              <strong>Tanggal Registrasi:</strong><br>
                              {{$tglRegistrasi ?? 'param' }}<br><br>
                          </address>
                          </div>
                      </div>
                      </div>
                  </div>

                  <div class="row mt-4">
                    <div class="col-md-12" style="font-size: 12pt">
                    <p class="section-lead">Rincian ({{ !is_null($registrasi->tanggal_bayar) ? 'LUNAS' : 'Menunggu Pembayaran' }})</p>
                    <div class="table-responsive">
                        <table class="table table-striped table-hover table-md">
                        <tr>
                            <th data-width="40">#</th>
                            <th>Kegiatan</th>
                            <th class="text-center">Harga</th>
                            <th class="text-center">Jumlah</th>
                            <th class="text-right">Total Harga</th>
                        </tr>
                        @php
                            $no = 2;
                            $initialharga = $konaspi['harga'] ?? 0;
                            $subtotal = $initialharga;
                            $i = 0;
                        @endphp
                            <tr>
                                <td>1</td>
                                <td>
                                    Convention
                                </td>
                                <td class="text-center">Rp {{$konaspi['harga']??'param'}}</td>
                                <td class="text-center">1</td>
                                <td class="text-right">Rp {{$konaspi['harga']??'param'}}</td>
                            </tr>
                        @if (isset($hargaKonferensi))
                            @foreach ($hargaKonferensi as $kon)
                                @php
                                    $subtotal = $subtotal + $kon['hargakon'];
                                @endphp
                                <tr>
                                    <td>{{$no}}</td>
                                    <td>
                                        {{$kon['namakeg']}} <br> Konferensi : <b> {{$kon['namakon']??'param'}} </b>
                                    </td>
                                    <td class="text-center">Rp {{$kon['hargakon']??'param'}}</td>
                                    <td class="text-center">1</td>
                                    <td class="text-right">Rp {{$kon['hargakon']??'param'}}</td>
                                </tr>
                                @php
                                    $i++;
                                    $no++;
                                @endphp
                            @endforeach
                        @endif
                        </table>
                    </div>
                    <div class="row mt-4">
                        <div class="col-lg-8">
                        {{-- <div class="d-flex">
                            <div class="mr-2 bg-visa" data-width="61" data-height="38"></div>
                            <div class="mr-2 bg-jcb" data-width="61" data-height="38"></div>
                            <div class="mr-2 bg-mastercard" data-width="61" data-height="38"></div>
                            <div class="bg-paypal" data-width="61" data-height="38"></div>
                        </div> --}}
                        </div>
                        <div class="col-lg-4 text-right">
                        <div class="invoice-detail-item">
                            <div class="invoice-detail-name">Subtotal</div>
                            <div class="invoice-detail-value">Rp {{$subtotal}}</div>
                        </div>
                        <hr class="mt-2 mb-2">
                        <div class="invoice-detail-item">
                            <div class="invoice-detail-name">Total</div>
                            <div class="invoice-detail-value invoice-detail-value-lg">Rp {{$subtotal}}</div>
                        </div>
                        </div>
                    </div>
                    </div>
                </div>
                  </div>
                  <hr>
                  <div class="text-md-right">
                  {{-- <div class="float-lg-left mb-lg-0 mb-3">
                      <button class="btn btn-primary btn-icon icon-left"><i class="fas fa-credit-card"></i> Bayar</button>
                      <button class="btn btn-danger btn-icon icon-left"><i class="fas fa-times"></i> Cancel</button>
                  </div> --}}
                      {{-- <button class="btn btn-warning btn-icon icon-left"><i class="fas fa-print"></i> Cetak</button> --}}
                      @if (isset($registrasi) && isset($kegiatanpeserta) && isset($tglRegistrasi) && isset($konaspi) && isset($hargaKonferensi) && isset($totalHarga))
                        <input type="hidden" id="registrasi" name="registrasi" value="{{ json_encode($registrasi)  ?? 'param' }}">
                        <input type="hidden" id="kegiatanpeserta" name="kegiatanpeserta" value="{{ json_encode($kegiatanpeserta)  ?? 'param' }}">
                        <input type="hidden" id="tglRegistrasi" name="tglRegistrasi" value="{{ json_encode($tglRegistrasi)  ?? 'param' }}">
                        <input type="hidden" id="konaspi" name="konaspi" value="{{ json_encode($konaspi)  ?? 'param' }}">
                        <input type="hidden" id="hargaKonferensi" name="hargaKonferensi" value="{{ json_encode($hargaKonferensi)  ?? 'param' }}">
                        <input type="hidden" id="totalHarga" name="totalHarga" value="{{ json_encode($totalHarga)  ?? 'param' }}">
                      @endif
                  </div>
              </div>
          </div>
</section>
@endsection
